Upload a source map
- Base URL
-
https://{kibana_url}
- POST /api/apm/sourcemaps
- POST /s/{space_id}/api/apm/sourcemaps
Refer to Spaces for more information.
Upload a source map for a specific service and version. You must have all Kibana privileges for the APM and User Experience feature.
The maximum payload size is 1mb. If you attempt to upload a source map that exceeds the maximum payload size, you will get a 413 error. Before uploading source maps that exceed this default, change the maximum payload size allowed by Kibana with the server.maxPayload variable.
Request body
-
bundle_filepathstringrequired -
The absolute path of the final bundle as used in the web application.
-
sourcemapstring · format: binaryrequired -
The source map. It can be a string or file upload. It must follow the source map format specification.
Responses
Successful response
Bad Request response
Unauthorized response
Forbidden response
Internal Server Error response